# Class LogSkipList.Mark

java.lang.Object
org.apache.zookeeper.graph.LogSkipList.Mark

Enclosing class:
  `LogSkipList`

public class LogSkipList.Mark extends Object

## Constructor Summary

Constructors
Constructor
Description
`Mark(long time, long bytes, long skipped)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getBytes()`
`long`
`getEntriesSkipped()`
`long`
`getTime()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Mark

public Mark(long time, long bytes, long skipped)

## Method Details

### getTime

public long getTime()

### getBytes

public long getBytes()

### getEntriesSkipped

public long getEntriesSkipped()

### toString

public String toString()

Overrides:
  `toString` in class `Object`